## visad.java2d
Class ShadowFunctionOrSetTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowFunctionOrSetTypeJ2D

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ShadowFunctionTypeJ2D, ShadowSetTypeJ2D

public class ShadowFunctionOrSetTypeJ2D
extends ShadowTypeJ2D

The ShadowFunctionOrSetTypeJ2D is an abstract parent for ShadowFunctionTypeJ2D and ShadowSetTypeJ2D.

See Also:
  Serialized Form

Field Summary
`(package private) ShadowRealTupleTypeJ2D` `Domain`
`(package private) ShadowTypeJ2D` `Range`

Fields inherited from class visad.java2d.ShadowTypeJ2D
`adaptedShadowType, display, inheritedText, inheritedTextControl, Link, Type`

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowFunctionOrSetTypeJ2D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`void` `addSwitch(Object group, Object swit, Control control, Set domain_set, DataRenderer renderer)`
`void` `addToGroup(Object group, Object branch)`
`void` `addToSwitch(Object swit, Object branch)`
`boolean` `doTransform(VisADGroup group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` transform data into a VisADSceneGraphObject; add generated scene graph components as children of group; value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process
`ShadowRealTupleTypeJ2D` `getDomain()`
`ShadowTypeJ2D` `getRange()`
`Vector` `getTextMaps(int i, int[] textIndices)`
`Object` `makeBranch()`
`Object` `makeSwitch()`
`void` `postProcess(VisADGroup group)` render accumulated Vector of value_array-s to and add to group; then clear AccumulationVector
`void` `preProcess()` clear AccumulationVector
`boolean` `recurseRange(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)`
`void` `setTexCoords(float[] texCoords, float ratiow, float ratioh)`
`void` `textureToGroup(Object group, VisADGeometryArray array, BufferedImage image, GraphicsModeControl mode, float constant_alpha, float[] constant_color, int texture_width, int texture_height)`
`boolean` `wantIndexed()`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addTextToGroup, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, setTex3DCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Domain

    ShadowRealTupleTypeJ2D Domain

### Range

    ShadowTypeJ2D Range

Constructor Detail

### ShadowFunctionOrSetTypeJ2D

    public ShadowFunctionOrSetTypeJ2D(MathType t,
                                      DataDisplayLink link,
                                      ShadowType parent)
                               throws VisADException,
                                      RemoteException

Method Detail

### getDomain

    public ShadowRealTupleTypeJ2D getDomain()

### getRange

    public ShadowTypeJ2D getRange()

### preProcess

    public void preProcess()
                    throws VisADException

  clear AccumulationVector

  Overrides:
    `preProcess` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`

### doTransform

    public boolean doTransform(VisADGroup group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  transform data into a VisADSceneGraphObject; add generated scene graph components as children of group; value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process

  Overrides:
    `doTransform` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`
    `RemoteException`

### setTexCoords

    public void setTexCoords(float[] texCoords,
                             float ratiow,
                             float ratioh)

  Overrides:
    `setTexCoords` in class `ShadowType`

### getTextMaps

    public Vector getTextMaps(int i,
                              int[] textIndices)

  Overrides:
    `getTextMaps` in class `ShadowType`

### textureToGroup

    public void textureToGroup(Object group,
                               VisADGeometryArray array,
                               BufferedImage image,
                               GraphicsModeControl mode,
                               float constant_alpha,
                               float[] constant_color,
                               int texture_width,
                               int texture_height)
                        throws VisADException

  Overrides:
    `textureToGroup` in class `ShadowType`
  Throws:
    `VisADException`

### makeSwitch

    public Object makeSwitch()

  Overrides:
    `makeSwitch` in class `ShadowType`

### makeBranch

    public Object makeBranch()

  Overrides:
    `makeBranch` in class `ShadowType`

### addToGroup

    public void addToGroup(Object group,
                           Object branch)
                    throws VisADException

  Overrides:
    `addToGroup` in class `ShadowType`
  Throws:
    `VisADException`

### addToSwitch

    public void addToSwitch(Object swit,
                            Object branch)
                     throws VisADException

  Overrides:
    `addToSwitch` in class `ShadowType`
  Throws:
    `VisADException`

### addSwitch

    public void addSwitch(Object group,
                          Object swit,
                          Control control,
                          Set domain_set,
                          DataRenderer renderer)
                   throws VisADException

  Overrides:
    `addSwitch` in class `ShadowType`
  Throws:
    `VisADException`

### recurseRange

    public boolean recurseRange(Object group,
                                Data data,
                                float[] value_array,
                                float[] default_values,
                                DataRenderer renderer)
                         throws VisADException,
                                RemoteException

  Overrides:
    `recurseRange` in class `ShadowType`
  Throws:
    `VisADException`
    `RemoteException`

### wantIndexed

    public boolean wantIndexed()

  Overrides:
    `wantIndexed` in class `ShadowType`

### postProcess

    public void postProcess(VisADGroup group)
                     throws VisADException

  render accumulated Vector of value_array-s to and add to group; then clear AccumulationVector

  Overrides:
    `postProcess` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`